export ZCOMET_DIR="${ZSH_CACHE_DIR}/zcomet"

zstyle ':zcomet:*' home-dir "${ZCOMET_DIR}"
zstyle ':zcomet:*' repos-dir "${ZCOMET_DIR}/repos"
zstyle ':zcomet:*' snippets-dir "${ZCOMET_DIR}/snippets"
zstyle ':zcomet:compinit' dump-file "${ZSH_COMPDUMP}"

#
if [[ ! -f "${ZCOMET_DIR}/bin/zcomet.zsh" ]]; then
	command git clone --depth=1 https://github.com/agkozak/zcomet.git "${ZCOMET_DIR}/bin"
fi
source "${ZCOMET_DIR}/bin/zcomet.zsh"

